%global srcname bambou
%bcond_without python3
%bcond_with python2

Name:           python-%{srcname}
Version:        3.0.1
Release:        2%{?dist}
Summary:        REST Library for Nuage Networks

License:        BSD-3-Clause
URL:            https://github.com/nuagenetworks/bambou
Source0:        https://files.pythonhosted.org/packages/source/b/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%if %{with python2}
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%endif

%if %{with python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif

%global bambou_desc \
Bambou is a Python ReST layer for Nuage Networks' APIs base concepts. It works\
on top of the requests library and provides an object oriented layer for\
manipulating ReST entities.Bambou can not be used as is, and it's mainly used by\
the Nuage Networks' vsdk and vspk.

%description
%{bambou_desc}

%if %{with python2}
%package -n     python2-%{srcname}
Summary:        REST Library for Nuage Networks

Requires:       python2-future
Requires:       python2-requests

%description -n python2-%{srcname}
%{bambou_desc}
%endif

%if %{with python3}
%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        REST Library for Nuage Networks

Requires:       python%{python3_pkgversion}-future
Requires:       python%{python3_pkgversion}-requests

%description -n python%{python3_pkgversion}-%{srcname}
%{bambou_desc}
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%if %{with python2}
%py2_build
%endif
%if %{with python3}
%py3_build
%endif

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if %{with python2}
%py2_install
%endif
%if %{with python3}
%py3_install
%endif

%if %{with python2}
%files -n python2-%{srcname}
%doc README.md
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif

%if %{with python3}
%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Mon Mar 25 2019 Satoe Imaishi <simaishi@redhat.com> - 3.0.1-2
- Initial build for cfme-5.11
